<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">


    
    <body>
        
        
        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="content">

            <h:form>
                    <p:growl id="messages" showDetail="true" />
 
                <h:panelGrid columnClasses="value">
                    <p:schedule id="schedule" value="#{scheduleView.eventModel}" widgetVar="myschedule" timeZone="GMT+2">
 
                        <p:ajax event="dateSelect" listener="#{scheduleView.onDateSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                        <p:ajax event="eventSelect" listener="#{scheduleView.onEventSelect}" update="eventDetails" oncomplete="PF('eventDialog').show();" />
                        <p:ajax event="eventMove" listener="#{scheduleView.onEventMove}" update="messages" />
                        <p:ajax event="eventResize" listener="#{scheduleView.onEventResize}" update="messages" />
 
                    </p:schedule>
 
                    <!-- <h3>Locale Support ( Example: Turkish )</h3>
                    <p:schedule id="scheduleLocale" value="#{scheduleView.eventModel}" locale="tr" />
 
                    <h3>Lazy Schedule</h3>
                    <p:schedule value="#{scheduleView.lazyEventModel}" /> -->
                </h:panelGrid>
 
                <p:dialog widgetVar="eventDialog" header="Event Details" showEffect="clip" hideEffect="clip">
                    <h:panelGrid id="eventDetails" columns="2">
                        <p:outputLabel for="title" value="Título:" />
                        <p:inputText id="title" value="#{scheduleView.event.title}" required="true" />
 
                        <p:outputLabel for="from" value="Início:" />
                        <p:calendar id="from" value="#{scheduleView.event.startDate}" timeZone="GMT+2" pattern="dd/MM/yyyy HH:mm"/>
 
                        <p:outputLabel for="to" value="Término:" />
                        <p:calendar id="to" value="#{scheduleView.event.endDate}" timeZone="GMT+2" pattern="dd/MM/yyyy HH:mm"/>
 
                        <p:outputLabel for="allDay" value="Todos Dias:" />
                        <h:selectBooleanCheckbox id="allDay" value="#{scheduleView.event.allDay}" />
 
                        <p:commandButton type="reset" value="Apagar" />
                        <p:commandButton id="addButton" value="Salvar" actionListener="#{scheduleView.addEvent}" oncomplete="PF('myschedule').update();PF('eventDialog').hide();" />
                    </h:panelGrid>
                </p:dialog>    
            </h:form>
 
            <script type="text/javascript">
    PrimeFaces.locales['pt_BR'] = {  
                closeText: 'Fechar',  
                prevText: 'Anterior',  
                nextText: 'Próximo',  
                currentText: 'Começo',  
                monthNames: ['Janeiro','Fevereiro','Março','Abril','Maio','Junho','Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],  
                monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun', 'Jul','Ago','Set','Out','Nov','Dez'],  
                dayNames: ['Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado'],  
                dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','Sáb'],  
                dayNamesMin: ['D','S','T','Q','Q','S','S'],  
                weekHeader: 'Semana',  
                firstDay: 1,  
                isRTL: false,  
                showMonthAfterYear: false,  
                yearSuffix: '',  
                timeOnlyTitle: 'Só Horas',  
                timeText: 'Tempo',  
                hourText: 'Hora',  
                minuteText: 'Minuto',  
                secondText: 'Segundo',  
                currentText: 'Data Atual',  
                ampm: false,  
                month: 'Mês',  
                week: 'Semana',  
                day: 'Dia',  
                allDayText : 'Todo Dia'  
            };
</script>
<style type="text/css">
    .value {
        width: 1000px;
    }
</style>

            </ui:define>


        </ui:composition>


        
        
    </body>
    
</html>

